@charset "utf-8";

/**** START - ЯРЛЫКИ ДЛЯ ТОВАРОВ ****/

.labelsCatalogInc *,
.labelsProduct * {
    box-sizing: border-box;
}

.labelsProduct {
    margin: 0 0 5px 0;
}

/*** start - сброс старых стилей ***/
.optItems .item .name .productLabelsContainer a {
    display: inline-flex;
    width: auto;
    font-weight: normal;
    text-decoration: none;
    margin-bottom: 0;
}
/*** end - сброс старых стилей ***/

.labelsCatalogInc .productLabelsContainer,
.labelsProduct .productLabelsContainer {
    position: relative;
    display: flex;
    flex-flow: row wrap;
    margin: 0 0 0 0;
    padding: 0 0 0 0;
}

.labelsCatalogInc .productLabelsContainer a,
.labelsCatalogInc .productLabelsContainer span {
    display: inline-flex;
    align-items: center;
    width: auto;
    height: 17px!important;
    border-radius: 2px;
    margin: 3px 3px 0 0;
    padding: 0 5px 0 5px;
    color: rgba(255, 255, 255, 1);
    text-decoration: none;
}

.labelsProduct .productLabelsContainer a,
.labelsProduct .productLabelsContainer span {
    display: inline-flex;
    align-items: center;
    width: auto;
    height: 19px!important;
    border-radius: 2px;
    margin: 5px 5px 0 0;
    padding: 0 7px 0 7px;
    color: rgba(255, 255, 255, 1);
    text-decoration: none;
}

.labelsCatalogInc .productLabelsContainer a i,
.labelsCatalogInc .productLabelsContainer span i {
    position: relative;
    font-style: normal;
    font-size: 11px;
    line-height: 11px;
    font-weight: bold;
    font-family: 'Roboto', Arial, sans-serif;
}

.labelsProduct .productLabelsContainer a i,
.labelsProduct .productLabelsContainer span i {
    position: relative;
    font-style: normal;
    font-size: 12px;
    line-height: 12px;
    font-weight: bold;
    font-family: 'Roboto', Arial, sans-serif;
}

/*** start - каждый ярлык ***/

.labelsCatalogInc .productLabelsContainer a.labelOnliner {
    width: 17px!important;
    height: 17px!important;
    background-size: 16px;
    background-color: #ff3939;
    background-image: url(../images/onliner-16x16.png);
    background-repeat: no-repeat;
    background-position: center 1px;
    color: transparent;
    text-decoration: none;
    opacity: .95;
}

.labelsProduct .productLabelsContainer a.labelOnliner {
    width: 19px!important;
    height: 19px!important;
    background-size: 18px;
    background-color: #ff3939;
    background-image: url(../images/icon_onliner-32x32.png);
    background-repeat: no-repeat;
    background-position: center 1px;
    color: transparent;
    text-decoration: none;
    opacity: .95;
}

.productLabelsContainer span.labelHit {
    background-color: #388e3c;
}

.productLabelsContainer span.labelNew {
    background-color: #86B030;
}
.productLabelsContainer span.labelDiscounted {
    background-color: #F5C80E;
    color: #011627!important;
}

.productLabelsContainer span.labelSale {
    background-color: #7B1FA2;
}

.productLabelsContainer span.labelBestPrice {
    background-color: #0DA3AA;
}

.productLabelsContainer span.labelPresent {
    background-color: #e71d36;
}

.productLabelsContainer a.labelPromotion {
    background-color: #e71d36;
}

.productLabelsContainer span.labelOnOrder {
    background-color: #011627;
}

.productLabelsContainer span.labelRegulated {
    background-color: #BAC5D4;
}

.requestOrderRow.requestOrderLabels {
    display: flex;
    flex-flow: row wrap;
    margin: 0 0 0 0;
    padding: 0 0 0 0;
}

.requestOrderRow.requestOrderLabels a {
    display: inline-flex;
    flex-flow: row nowrap;
    align-items: center;
    padding: 0 7px;
    font-style: normal;
    font-weight: bold;
    color: #fff;
}

.requestOrderRow.requestOrderLabels a.badgeOnliner  {
    box-sizing: border-box;
    width: 20px;
    background-size: 20px;
    background-color: #ff0000;
    background-image: url(../images/icoonliner20x20.png);
    background-repeat: no-repeat;
    background-position: center center;
    color: transparent;
    text-decoration: none;
    opacity: .8;
}

.requestOrderRow.requestOrderLabels a.badgeNew {
    background-color: #86B030;
}

.requestOrderRow.requestOrderLabels a{
    background-color: #4389C7;
}




/***************** КНОПКИ ДЛЯ - RIGHT SIDEBAR   ******************/

.playVideosButton {
    box-sizing: border-box;
    display: flex;
    align-items: center; 
    justify-content: center;
    width: 100%; 
    border-radius: 5px;
    margin: 5px 0 0 0; 
    text-align: center; 
    font-family: 'Open Sans', Arial, sans-serif; 
    font-size: 11px; 
    line-height: 13px;
}

.playVideosButton .playvideos {
    height: 25px;
    background-color: #f0f4f9;
    color: rgba(1, 22, 39, .9);
}

.playVideosButton .playvideos:hover {
    color: #fff;
    background-color: rgba(1, 22, 39, .9);
    box-shadow: 0 1px 2px rgb(163 174 193 / 5%), 0 1px 4px rgb(163 174 193 / 15%);
}

.fullSpecificationsButton {
    box-sizing: border-box;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 25px;
    background-image: url(../images/eye_white_32px.png);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: 26px;
    background-color: #f0f4f9;
    margin: 5px 0 0 0;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
}

.fullSpecificationsButton:hover {
    background-color: rgba(1, 22, 39, .9);
    box-shadow: 0 1px 2px rgb(163 174 193 / 5%), 0 1px 4px rgb(163 174 193 / 15%);
}

.requestOrderButton {
    box-sizing: border-box;
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    flex-flow: row nowrap;
    align-items: center;
    justify-content: center;
    width: 90px;
    height: 23px;
    background-color: #011627;
    border-radius: 3px;
    color: #fff;
    cursor: pointer;
}
.requestOrderButton:hover {
    background-color: #155C17;
}

.requestOrderButtonCard {
    position: absolute; 
    right: 0; 
    display: flex; 
    align-items: flex-start;
    height: 200px;
    margin-bottom: 10px;
}

.requestOrderButtonCard .requestOrderButton {
    height: 40px;
    width: 240px;
    font-size: 17px;
    font-weight: bold;
}

/*** ОБЩИЕ СТИЛИ ДЛЯ ВСПЛЫВАЮЩЕГО ОКНА СПРАВА - RIGHT SIDEBAR  ***/

/* START --- CUSTOM SCROLLBAR */
.rightSidebar::-webkit-scrollbar {
    width: 14px;
}
.rightSidebar::-webkit-scrollbar-button {
    display: none;
    background-color: #fff;
}
.rightSidebar::-webkit-scrollbar-track {
    background-color: #fff;
}
.rightSidebar::-webkit-scrollbar-thumb {
    background: #011627;
    border: 4px solid #fff;
    border-radius:15px;
    -webkit-border-radius: 15px;
}
.rightSidebar::-webkit-scrollbar-thumb:hover {
    background: rgba(43, 120, 254, 1);
}
/*** END --- CUSTOM SCROLLBAR ***/

.rightSidebarContainer * {
    box-sizing: border-box;
}

.rightSidebarContainer {
    width: 100%; 
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, .7);
    overflow: hidden;
    z-index: 10000000;
}

.rightSidebarCloseArea {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100vh;
    margin: 0 0 0 0;
    padding: 0 0 0 0;
    cursor: pointer;
    overflow: hidden;
    z-index: 1;
}

.rightSidebarCloseArea:after {
    position: absolute;
    top: 0;
    left: 0;
    content: '';
    width: 50px;
    height: 50px;
    background-image: url('../images/close_24dp.svg');
    background-size: 32px;
    background-repeat: no-repeat;
    background-position: right bottom;
    z-index: 2;
}

.rightSidebarCloseArea:hover:after {
    background-image: url('../images/close_fff_24dp.svg');
}

.rightSidebar {
    position: absolute;
    top: 0; 
    right: 0; 
    display: block;
    width: 760px;
    height: 100%;
    background-color: #fff;
    padding: 0 0 0 0;
    margin: 0 0 0 0;
    box-shadow: -10px 0 10px 0 rgba(0, 0, 0, .2);
    z-index: 2;
    overflow: hidden auto;
}

.rightSidebarItem {
    position: relative;
    display: flex;
    flex-flow: column nowrap;
    width: 100%;
    height: auto;
    background-color: #ffffff;
    padding: 40px 40px 40px 40px;
    margin: 0 0 0 0;
}

/*** START --- TYPOGRAFY FOR RIGHT SIDEBAR ***/

.rightSidebarItem h2,
.rightSidebarItem h3,
.rightSidebarItem h4,
.rightSidebarItem p,
.rightSidebarItem table,
.rightSidebarItem tbody,
.rightSidebarItem tr,
.rightSidebarItem th,
.rightSidebarItem td,
.rightSidebarItem ul,
.rightSidebarItem ol,
.rightSidebarItem li {
    color: #011627;
}

.rightSidebarItem h2,
.rightSidebarItem h3,
.rightSidebarItem h4 {
    font-family: 'Roboto', Arial, sans-serif;
    font-weight: 900;
}

.rightSidebarItem h2 {
    margin-top: 0;
    margin-right: 0;
    margin-bottom: 15px;
    margin-left: 0;
    padding: 0 0 0 0;
    font-size: 21px;
}

.rightSidebarItem h3,
.rightSidebarItem h4 {
    font-size: 17px;
}

.rightSidebarItem p,
.rightSidebarItem table,
.rightSidebarItem tbody,
.rightSidebarItem tr,
.rightSidebarItem th,
.rightSidebarItem td,
.rightSidebarItem ul,
.rightSidebarItem ol,
.rightSidebarItem li {
    font-family: 'Open Sans', Arial, sans-serif;
    font-size: 13px;
    line-height: 1.5;
}

.rightSidebarItem p {
    margin-bottom: 10px;
}

.rightSidebarItem table,
.rightSidebarItem tbody,
.rightSidebarItem tr {
    width: 100%;
}

.rightSidebarItem tr:hover {
    background-color: #F8F9FA;
}

.rightSidebarItem table tr td {
    background: none;
    border-bottom: 1px dashed #e0e0e0;
    min-height: 23px!important;
    padding: 3px 0;
}

.rightSidebarItem table tr td:last-child {
    width: 40%;
    font-weight: bold;
    text-align: right;
}

.rightSidebarItem li {
    list-style-type: disc;
    margin-bottom: 3px;
}
/*** END --- TYPOGRAFY FOR RIGHT SIDEBAR ***/


/*** START --- ПОД ЗАКАЗ FOR RIGHT SIDEBAR ***/

.requestOrderConteiner {
    position: relative;
    display: flex;
    flex-flow: column nowrap;
    width: 100%;
    height: auto;
}

.requestOrderContainer h2 {
    margin-bottom: 5px;
}

.requestOrderRow {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    width: 100%;
    margin: 0 0 5px 0;
    font-family: 'Open Sans', Arial, sans-serif;
    font-size: 13px;
    line-height: 1.5;
    color: #011627;
}

.requestOrderRow.requestOrderCodes {
    margin: 5px 0 15px 0;
}

.requestOrderCode {
    display: flex;
    flex-flow: row nowrap;
/*    width: 50%;*/
}

.requestOrderCode span,
.requestOrderCode strong {
    display: inline-flex;
    margin: 0 5px 0 0;

}

.requestOrderRow.parameter {
    justify-content: space-between;
    border-bottom: 1px dashed rgb(224, 224, 224);
    font-size: 14px;
}

.requestOrderRow.parameter span,
.requestOrderRow.parameter strong {
    display: inline-flex;
    background-color: #fff;
    margin: 0 0 -3px 0;
}
.requestOrderContainer p.requestOrderText {
    font-size: 14px;
    margin-bottom: 15px;
}
